Meltdown and Spectre security vulnerabilities – January 15

Monday, January 15, 2018

What is happening? Major security vulnerabilities have been announced that affect all Intel CPUs (and many other CPUs) dating back several years. Emergency patches are being released by multiple vendors to mitigate the risk.

What do you need to do?
For IST managed workstations/servers:

  • You do not need to do anything. IST has already deployed patches for all IST managed workstations and are in the process of installing patches on IST managed servers.

For non-IST managed workstations/servers (including personal computers/devices):

  • Follow best practices for any vulnerability and ensure that your systems are up to date with the most recent patches.
  • Ensure that you are only running supported operating systems.

Important note: If you are running an anti-virus software (other than Microsoft’s) you will need to check with the anti-virus vendor to ensure that the patches will not impact the software.

Additional resources:

Questions or concerns? Please contact the IST Service Desk, helpdesk@uwaterloo.ca or ext. 44357. 

  1. 2019 (73)
    1. August (9)
    2. July (9)
    3. June (9)
    4. May (13)
    5. April (8)
    6. March (8)
    7. February (7)
    8. January (10)
  2. 2018 (112)
    1. December (6)
    2. November (7)
    3. October (8)
    4. September (10)
    5. August (9)
    6. July (11)
    7. June (11)
    8. May (12)
    9. April (9)
    10. March (8)
    11. February (5)
    12. January (16)
  3. 2017 (113)
    1. December (11)
    2. November (11)
    3. October (9)
    4. September (8)
    5. August (6)
    6. July (6)
    7. June (16)
    8. May (10)
    9. April (7)
    10. March (7)
    11. February (13)
    12. January (9)
  4. 2016 (136)
  5. 2015 (203)
  6. 2014 (210)
  7. 2013 (95)
  8. 2012 (187)
  9. 2011 (120)
  10. 2010 (114)
  11. 2009 (233)
  12. 2008 (100)
  13. 2007 (2)